SetSignProcessCustomSubFilter
Tietoturva ja allekirjoitukset
Kuvaus
Asettaa SubFilter-tietueen mukautetulla merkkijonolla digitaaliselle allekirjoitusprosessille määrittäen allekirjoitusarvon koodauksen
Muistuttaa SetSignProcessSubFilter-funktiota, mutta Subfilter-tietue on mukautettava
Kun annettu merkkijono alkaa arvolla ETSI. (tavallisesti ETSI.CAdES.detached PAdES-perusallekirjoituksille tai ETSI.RFC3161 asiakirjan aikaleimoille), kirjasto lisää automaattisesti PAdES-merkinnän /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>> asiakirjan katalogiin standardin ETSI EN 319 142-1 v1.2.1 §5.6 vaatimalla tavalla. TPDFlibin kautta tuotetuille PDF:ille rinnakkainen Adobe-määrittely (/Extensions /ADBE tasolla /ExtensionLevel 8) lisätään myös. Lisäys on idempotentti, eikä se koskaan alenna olemassa olevaa korkeampaa laajennustasoa
Valinta ETSI.CAdES.detached aktivoi lisäksi PAdES-B-B-allekirjoituspolun: syntyvä CMS-hyötydata sisältää todennetut attribuutit content-type (id-data) ja signing-certificate-v2 (RFC 5035 / RFC 5816), ja standardin EN 319 142-1 Table 1 kieltämä signing-time-attribuutti jätetään pois, koska kirjasto antaa oman attribuuttitaulukkonsa CryptSignMessageille. Allekirjoitusvarmenne tunnistetaan sen SHA-256-tiivistelmästä (tai SHA-384 / SHA-512, kun SetSignProcessDigestAlgorithm valitsee isomman hashin), ja nykyisissä käännöksissä on lisäksi valinnainen IssuerSerial-monikko (myöntäjän erottunut nimi ja sarjanumero), jotta tiukemmat PAdES-validaattorit voivat ristitarkistaa allekirjoitusvarmenteen ehdokasketjuaan vasten
Syntaksi
Delphi
Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;
ActiveX
Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long
DLL
int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);
Parametrit
| SignProcessID | Arvo, jonka palauttavat NewSignProcessFromFile-, NewSignProcessFromStream- tai NewSignProcessFromString-funktiot |
|---|---|
| SubFilterStr | Custom SubFilter string entry |
Paluuarvot
| 0 | SignProcessID-parametri oli virheellinen tai SubFilter-parametri oli alueen ulkopuolella |
|---|---|
| 1 | Success |